Name:           ocaml-typehashlib
Version:        109.15.02
Release:        %mkrel 5
Summary:        Syntax extension for deriving "typehash" functions automatically
License:        LGPL-2.1 with OCaml linking exception
Group:          Development/OCaml
URL:            https://ocaml.janestreet.com/
Source0:        https://ocaml.janestreet.com/ocaml-core/%{version}/individual/typehashlib-%{version}.tar.gz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-type-conv
BuildRequires:  ocaml-camlp4-devel

%description
Syntax extension for deriving "typehash" functions automatically.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n typehashlib-%{version}

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --destdir %{buildroot}

make

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export OCAMLFIND_LDCONF=ignore
mkdir -p $OCAMLFIND_DESTDIR/typehashlib
make install

%files
%doc LICENSE.txt
%doc THIRD-PARTY.txt INRIA-DISCLAIMER.txt
%dir %{_libdir}/ocaml/typehashlib
%{_libdir}/ocaml/typehashlib/META
%{_libdir}/ocaml/typehashlib/*.cmi
%{_libdir}/ocaml/typehashlib/*.cma
%{_libdir}/ocaml/typehashlib/*.cmxs
%{_libdir}/ocaml/typehashlib/*.so

%files devel
%doc sample/
%{_libdir}/ocaml/typehashlib/*.a
%{_libdir}/ocaml/typehashlib/*.cmxa
%{_libdir}/ocaml/typehashlib/*.cmx
%{_libdir}/ocaml/typehashlib/*.mli
%{_libdir}/ocaml/typehashlib/*.ml


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 109.15.02-5.mga6
+ Revision: 956675
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 109.15.02-4.mga5
+ Revision: 739070
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 109.15.02-3.mga5
+ Revision: 683118
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 109.15.02-2.mga4
+ Revision: 531224
- Mageia 4 Mass Rebuild

* Fri Aug 02 2013 blue_prawn <blue_prawn> 109.15.02-1.mga4
+ Revision: 462576
- updated to last version 109.15.02

* Sun Jan 13 2013 umeabot <umeabot> 108.07.01-2.mga3
+ Revision: 361671
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 23 2012 blue_prawn <blue_prawn> 108.07.01-1.mga3
+ Revision: 321253
- build requires camlp4
- updated to last version 108.07.01

* Mon Oct 01 2012 blue_prawn <blue_prawn> 108.07.00-2.mga3
+ Revision: 301863
- rebuild for new ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 108.07.00-1.mga3
+ Revision: 300401
- fixed summary-ended-with-dot
- imported package ocaml-typehashlib

